org.apache.maven.monitor.event

## Class AbstractSelectiveEventMonitor

- java.lang.Object
- - org.apache.maven.monitor.event.AbstractSelectiveEventMonitor

- All Implemented Interfaces:
    EventMonitor
  Direct Known Subclasses:
    DefaultEventMonitor

      public abstract class AbstractSelectiveEventMonitor
      extends java.lang.Object
      implements EventMonitor

  Author:
    jdcasey

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractSelectiveEventMonitor(java.lang.String[] startEvents, java.lang.String[] endEvents, java.lang.String[] errorEvents)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doEndEvent(java.lang.String eventName, java.lang.String target, long timestamp)`
    `protected void` | `doErrorEvent(java.lang.String eventName, java.lang.String target, long timestamp, java.lang.Throwable cause)`
    `protected void` | `doStartEvent(java.lang.String eventName, java.lang.String target, long timestamp)`
    `void` | `endEvent(java.lang.String eventName, java.lang.String target, long timestamp)`
    `void` | `errorEvent(java.lang.String eventName, java.lang.String target, long timestamp, java.lang.Throwable cause)`
    `void` | `startEvent(java.lang.String eventName, java.lang.String target, long timestamp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSelectiveEventMonitor

          protected AbstractSelectiveEventMonitor(java.lang.String[] startEvents,
                                       java.lang.String[] endEvents,
                                       java.lang.String[] errorEvents)

  - ### Method Detail

    - #### startEvent

          public final void startEvent(java.lang.String eventName,
                        java.lang.String target,
                        long timestamp)

      Specified by:
        `startEvent` in interface `EventMonitor`

    - #### doStartEvent

          protected void doStartEvent(java.lang.String eventName,
                          java.lang.String target,
                          long timestamp)

    - #### endEvent

          public final void endEvent(java.lang.String eventName,
                      java.lang.String target,
                      long timestamp)

      Specified by:
        `endEvent` in interface `EventMonitor`

    - #### doEndEvent

          protected void doEndEvent(java.lang.String eventName,
                        java.lang.String target,
                        long timestamp)

    - #### errorEvent

          public final void errorEvent(java.lang.String eventName,
                        java.lang.String target,
                        long timestamp,
                        java.lang.Throwable cause)

      Specified by:
        `errorEvent` in interface `EventMonitor`

    - #### doErrorEvent

          protected void doErrorEvent(java.lang.String eventName,
                          java.lang.String target,
                          long timestamp,
                          java.lang.Throwable cause)